<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Title</title>
    <link rel="stylesheet" href="node_modules/bootstrap/dist/css/bootstrap.min.css">
</head>
<body>

<div class="container">
    <div class="row">
        <h1>Chat Room</h1>
        <div id="chatContent" class="well" style="height: 200px;"></div>
    </div>
    <div class="row">
        <textarea name="message" id="message" class="form-control" style="height:50px;"></textarea>
        <button class="btn btn-primary btn-lg" id="sendButton">Envoyer</button>
    </div>

</div>

<script src="node_modules/jquery/dist/jquery.js"></script>
<script>
    var connexion = new WebSocket('ws://localhost:6543/chat');

    connexion.onopen = function(e){
        console.log('connexion established');
    };

    connexion.onmessage = function(e){
        console.log('Message reçu');
        console.log(e.data);
        var date = new Date();
        $('#chatContent').prepend('<div><strong>'+date.getHours()+':'+date.getMinutes()+':'+date.getSeconds()+'</strong> : '+ e.data+' </div>')
    };

    $('#sendButton').on('click',function(){
        connexion.send($('#message').val());
        $('#message').val('');
    });
</script>
</body>
</html>
